zabbix_export:
  version: '5.4'
  date: '2022-01-04T19:56:07Z'
  groups:
    -
      uuid: 36bff6c29af64692839d077febfc7079
      name: 'Templates/Network devices'
    -
      uuid: 3139a0d04285455aa7348770d2a8f07e
      name: 'Templates OpenX'
  templates:
    -
      uuid: cf726bebd35f4347869eabbd4dd66c19
      template: 'OLT Fiberhome'
      name: 'OLT Fiberhome'
      templates:
        -
          name: 'Template Module Generic SNMP'
      groups:
        -
          name: 'Templates/Network devices'
        -
          name: 'Templates OpenX'
      items:
        -
          uuid: 039b36d74ffd4329bf323ac30a357566
          name: 'System Temperature'
          type: SNMP_AGENT
          snmp_oid: 1.3.6.1.4.1.5875.800.3.9.4.5.0
          key: sysTemp
          delay: 15m
          tags:
            -
              tag: Application
              value: System
      discovery_rules:
        -
          uuid: 5c3b6dfe3cbb43089538c31e306ff67d
          name: 'Descoberta de Placas'
          type: SNMP_AGENT
          snmp_oid: 'discovery[{#SLOT},1.3.6.1.4.1.5875.800.3.9.5.1.1.2]'
          key: boardDiscovery
          delay: 1d
          item_prototypes:
            -
              uuid: 79158f97d86540d885024cb5e4f45ade
              name: 'Slot {#SNMPINDEX} Card Type'
              type: SNMP_AGENT
              snmp_oid: '1.3.6.1.4.1.5875.800.3.9.5.1.1.4.{#SNMPINDEX}'
              key: 'cardTypeSlot[{#SNMPINDEX}]'
              delay: 1d
              valuemap:
                name: 'Fiberhome Card Types'
              tags:
                -
                  tag: Application
                  value: Boards
            -
              uuid: 71e9f87873ec4b78b223e5f4d8713946
              name: 'Slot {#SNMPINDEX} CPU'
              type: SNMP_AGENT
              snmp_oid: '1.3.6.1.4.1.5875.800.3.9.2.1.1.8.{#SNMPINDEX}'
              key: 'cpuSlot[{#SNMPINDEX}]'
              delay: 15m
              value_type: FLOAT
              units: '%'
              preprocessing:
                -
                  type: MULTIPLIER
                  parameters:
                    - '0.01'
              tags:
                -
                  tag: Application
                  value: Boards
            -
              uuid: 77b1db8341c94fdc9fb8c2027fb384fc
              name: 'Slot {#SNMPINDEX} Hardware'
              type: SNMP_AGENT
              snmp_oid: '1.3.6.1.4.1.5875.800.3.9.2.1.1.3.{#SNMPINDEX}'
              key: 'hardwareSlot[{#SNMPINDEX}]'
              delay: 1d
              trends: '0'
              value_type: TEXT
              tags:
                -
                  tag: Application
                  value: Boards
            -
              uuid: 8fb8d1fab3af493383ee217bf32e5a21
              name: 'Slot {#SNMPINDEX} Memory'
              type: SNMP_AGENT
              snmp_oid: '1.3.6.1.4.1.5875.800.3.9.2.1.1.9.{#SNMPINDEX}'
              key: 'memorySlot[{#SNMPINDEX}]'
              delay: 15m
              value_type: FLOAT
              units: '%'
              preprocessing:
                -
                  type: MULTIPLIER
                  parameters:
                    - '0.01'
              tags:
                -
                  tag: Application
                  value: Boards
            -
              uuid: 13f537fc4a1345669c35ec2ed7e4fcf3
              name: 'Slot {#SNMPINDEX} Ports'
              type: SNMP_AGENT
              snmp_oid: '1.3.6.1.4.1.5875.800.3.9.2.1.1.6.{#SNMPINDEX}'
              key: 'portsSlot[{#SNMPINDEX}]'
              delay: 1d
              tags:
                -
                  tag: Application
                  value: Boards
            -
              uuid: 9e5aea0363964a1daad6a51ebc56e198
              name: 'Slot {#SNMPINDEX} Software'
              type: SNMP_AGENT
              snmp_oid: '1.3.6.1.4.1.5875.800.3.9.2.1.1.4.{#SNMPINDEX}'
              key: 'softwareSlot[{#SNMPINDEX}]'
              delay: 1d
              trends: '0'
              value_type: TEXT
              tags:
                -
                  tag: Application
                  value: Boards
            -
              uuid: 958b979bb62d4ec3a8ea4c740874c6f8
              name: 'Slot {#SNMPINDEX} Status'
              type: SNMP_AGENT
              snmp_oid: '1.3.6.1.4.1.5875.800.3.9.2.1.1.5.{#SNMPINDEX}'
              key: 'statusSlot[{#SNMPINDEX}]'
              delay: 15m
              tags:
                -
                  tag: Application
                  value: Boards
          graph_prototypes:
            -
              uuid: e0689e5aa9834af193d801f0bc1c45c1
              name: 'Processamento Slot {#SNMPINDEX}'
              graph_items:
                -
                  sortorder: '1'
                  color: 199C0D
                  item:
                    host: 'OLT Fiberhome'
                    key: 'cpuSlot[{#SNMPINDEX}]'
        -
          uuid: aee8936c442143e9accc339d0918f6ea
          name: 'Descoberta de ONUs'
          type: SNMP_AGENT
          snmp_oid: 'discovery[{#SNMPVALUE},1.3.6.1.4.1.5875.800.3.9.3.3.1.2]'
          key: onuDiscovery
          delay: '1d;30m/1-5,08:00-18:00;30m/6,08:00-13:00'
          description: |
            Descoberta de ONUs de segunda a sexta das 8h as 18h a cada 30min;
            no sábado das 8h as 13h a cada 30min;
          item_prototypes:
            -
              uuid: 14d1408b4ea4482ca3dca150e32b57c4
              name: 'ONU Description $1'
              type: SNMP_AGENT
              snmp_oid: '1.3.6.1.4.1.5875.800.3.10.1.1.7.{#SNMPINDEX}'
              key: 'onuDesc[{#SNMPVALUE}]'
              delay: 30m
              trends: '0'
              value_type: TEXT
              tags:
                -
                  tag: Application
                  value: ONUs
            -
              uuid: 1ab8dd41b9d245808cc60d443d103af5
              name: 'ONU Name $1'
              type: TRAP
              key: 'onuName[{#SNMPVALUE}]'
              delay: '0'
              trends: '0'
              value_type: TEXT
              allowed_hosts: '172.31.1.12, 10.35.10.27, 10.31.1.75, 10.31.1.121, 177.136.218.218'
              tags:
                -
                  tag: Application
                  value: ONUs
            -
              uuid: b21025142b844b14804f10e75adfd7de
              name: 'ONU Rx Power $1'
              type: SNMP_AGENT
              snmp_oid: '1.3.6.1.4.1.5875.800.3.9.3.3.1.6.{#SNMPINDEX}'
              key: 'onuRxPower[{#SNMPVALUE}]'
              delay: 30m
              value_type: FLOAT
              units: dBm
              preprocessing:
                -
                  type: MULTIPLIER
                  parameters:
                    - '0.01'
              tags:
                -
                  tag: Application
                  value: ONUs
            -
              uuid: 508d5b933b8c4bb38ce24571456a2fca
              name: 'ONU Serial $1'
              type: SNMP_AGENT
              snmp_oid: '1.3.6.1.4.1.5875.800.3.10.1.1.10.{#SNMPINDEX}'
              key: 'onuSerial[{#SNMPVALUE}]'
              delay: 2h
              trends: '0'
              value_type: TEXT
              tags:
                -
                  tag: Application
                  value: ONUs
          trigger_prototypes:
            -
              uuid: cf243e95e62f4cbe89c70499ff3c5dd4
              expression: |
                length(last(/OLT Fiberhome/onuName[{#SNMPVALUE}]))>0 and find(/OLT Fiberhome/onuName[{#SNMPVALUE}],,"like","PON")=0 and last(/OLT Fiberhome/onuRxPower[{#SNMPVALUE}])<-28.50 and last(/OLT Fiberhome/onuRxPower[{#SNMPVALUE}])<>0 and last(/OLT Fiberhome/onuRxPower[{#SNMPVALUE}])<>-40.00
                and last(/OLT Fiberhome/onuRxPower[{#SNMPVALUE}])<>-30.00
              recovery_mode: RECOVERY_EXPRESSION
              recovery_expression: 'last(/OLT Fiberhome/onuRxPower[{#SNMPVALUE}])>=-24.00 and last(/OLT Fiberhome/onuRxPower[{#SNMPVALUE}])<>0'
              name: '({ITEM.LASTVALUE2}) sinal abaixo de -28.50'
              opdata: '{#SNMPVALUE} ({ITEM.LASTVALUE2}) está com sinal ({ITEM.LASTVALUE3})'
              priority: HIGH
            -
              uuid: dd241aac5ea0438fbaab3998df902620
              expression: |
                length(last(/OLT Fiberhome/onuName[{#SNMPVALUE}]))>0 and find(/OLT Fiberhome/onuName[{#SNMPVALUE}],,"like","PON")=0 and last(/OLT Fiberhome/onuRxPower[{#SNMPVALUE}])<-24 and last(/OLT Fiberhome/onuRxPower[{#SNMPVALUE}])<>0 and last(/OLT Fiberhome/onuRxPower[{#SNMPVALUE}])<>-40.00
                and last(/OLT Fiberhome/onuRxPower[{#SNMPVALUE}])<>-30.00
              recovery_mode: RECOVERY_EXPRESSION
              recovery_expression: 'last(/OLT Fiberhome/onuRxPower[{#SNMPVALUE}])>=-23.50 and last(/OLT Fiberhome/onuRxPower[{#SNMPVALUE}])<>0'
              name: '{#SNMPVALUE} ({ITEM.LASTVALUE2}) está com sinal abaixo de -24'
              opdata: '{#SNMPVALUE} ({ITEM.LASTVALUE2}) está com sinal ({ITEM.LASTVALUE3})'
              status: DISABLED
              discover: NO_DISCOVER
              dependencies:
                -
                  name: '({ITEM.LASTVALUE2}) sinal abaixo de -28.50'
                  expression: |
                    length(last(/OLT Fiberhome/onuName[{#SNMPVALUE}]))>0 and find(/OLT Fiberhome/onuName[{#SNMPVALUE}],,"like","PON")=0 and last(/OLT Fiberhome/onuRxPower[{#SNMPVALUE}])<-28.50 and last(/OLT Fiberhome/onuRxPower[{#SNMPVALUE}])<>0 and last(/OLT Fiberhome/onuRxPower[{#SNMPVALUE}])<>-40.00
                    and last(/OLT Fiberhome/onuRxPower[{#SNMPVALUE}])<>-30.00
                  recovery_expression: 'last(/OLT Fiberhome/onuRxPower[{#SNMPVALUE}])>=-24.00 and last(/OLT Fiberhome/onuRxPower[{#SNMPVALUE}])<>0'
          preprocessing:
            -
              type: STR_REPLACE
              parameters:
                - 'PON '
                - ''
        -
          uuid: b44257e2f95b481c9db4924bfea6484e
          name: 'Descoberta de PON'
          type: SNMP_AGENT
          snmp_oid: 'discovery[{#PON},1.3.6.1.4.1.5875.800.3.9.3.4.1.2]'
          key: ponDiscovery
          delay: 1d
          item_prototypes:
            -
              uuid: 8b96fa02e0704f1bb3e7c1d23b51db9f
              name: '{#PON} Auth N'
              type: SNMP_AGENT
              snmp_oid: '1.3.6.1.4.1.5875.800.3.9.3.4.1.12.{#SNMPINDEX}'
              key: 'ponAuthN[{#PON}]'
              delay: 2h
              tags:
                -
                  tag: Application
                  value: PON
            -
              uuid: 28348c4713214aac9f93e07b7b277ae5
              name: '{#PON} Status'
              type: SNMP_AGENT
              snmp_oid: '1.3.6.1.4.1.5875.800.3.9.3.4.1.5.{#SNMPINDEX}'
              key: 'ponOnlineStatus[{#PON}]'
              tags:
                -
                  tag: Application
                  value: PON
            -
              uuid: 706cc1140eb54d9ca1d491d211bbaf78
              name: '{#PON} TX Optical Power'
              type: SNMP_AGENT
              snmp_oid: '1.3.6.1.4.1.5875.800.3.9.3.4.1.8.{#SNMPINDEX}'
              key: 'ponTxOpticalPower[{#PON}]'
              delay: 1h
              value_type: FLOAT
              preprocessing:
                -
                  type: MULTIPLIER
                  parameters:
                    - '0.01'
              tags:
                -
                  tag: Application
                  value: PON
          trigger_prototypes:
            -
              uuid: 1cec9fc390824877893509eaeacb000e
              expression: 'last(/OLT Fiberhome/ponOnlineStatus[{#PON}])=0 and last(/OLT Fiberhome/ponAuthN[{#PON}])>0'
              recovery_mode: RECOVERY_EXPRESSION
              recovery_expression: 'last(/OLT Fiberhome/ponOnlineStatus[{#PON}])=1 or last(/OLT Fiberhome/ponAuthN[{#PON}])=0'
              name: '{HOST.NAME} {#PON}: Link down'
              priority: DISASTER
            -
              uuid: e693fbc8cdb94254938d2f23515d4402
              expression: 'last(/OLT Fiberhome/ponOnlineStatus[{#PON}])=1 and last(/OLT Fiberhome/ponTxOpticalPower[{#PON}])<4.00 and last(/OLT Fiberhome/ponTxOpticalPower[{#PON}])<>0'
              recovery_mode: RECOVERY_EXPRESSION
              recovery_expression: 'last(/OLT Fiberhome/ponTxOpticalPower[{#PON}])>4.10'
              name: '{HOST.NAME} {#PON}: Sinal do SFP baixo: {ITEM.LASTVALUE2}'
              priority: HIGH
              dependencies:
                -
                  name: '{HOST.NAME} {#PON}: Sinal do SFP muito baixo: {ITEM.LASTVALUE2}'
                  expression: 'last(/OLT Fiberhome/ponOnlineStatus[{#PON}])=1 and last(/OLT Fiberhome/ponTxOpticalPower[{#PON}])<3.00 and last(/OLT Fiberhome/ponTxOpticalPower[{#PON}])<>0'
                  recovery_expression: 'last(/OLT Fiberhome/ponTxOpticalPower[{#PON}])>4.40'
            -
              uuid: fcf92d6bc72b415cb87ed3367b4b3af1
              expression: 'last(/OLT Fiberhome/ponOnlineStatus[{#PON}])=1 and last(/OLT Fiberhome/ponTxOpticalPower[{#PON}])<3.00 and last(/OLT Fiberhome/ponTxOpticalPower[{#PON}])<>0'
              recovery_mode: RECOVERY_EXPRESSION
              recovery_expression: 'last(/OLT Fiberhome/ponTxOpticalPower[{#PON}])>4.40'
              name: '{HOST.NAME} {#PON}: Sinal do SFP muito baixo: {ITEM.LASTVALUE2}'
              priority: DISASTER
          graph_prototypes:
            -
              uuid: cdaf486805ed4cde83c556c58cc2ba8f
              name: 'N Onus PON {#PON}'
              graph_items:
                -
                  sortorder: '1'
                  color: 199C0D
                  item:
                    host: 'OLT Fiberhome'
                    key: 'ponAuthN[{#PON}]'
      tags:
        -
          tag: owner
          value: portalitaipu
      valuemaps:
        -
          uuid: 71eab21a3111472284051b1fbfbb7441
          name: 'Fiberhome Card Types'
          mappings:
            -
              value: '355'
              newvalue: HSWA
            -
              value: '413'
              newvalue: GU6F
            -
              value: '415'
              newvalue: HU1A
            -
              value: '527'
              newvalue: GC8B
            -
              value: '550'
              newvalue: GCOB
            -
              value: '741'
              newvalue: FAN
            -
              value: '743'
              newvalue: PUBA
